Summary: IBM JFS utility programs
Name: jfsprogs
Version: 1.0.9
URL: http://oss.software.ibm.com/jfs
Release: 1
Copyright: GPL
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: http://www10.software.ibm.com/developer/opensource/jfs/project/pub/jfsutils-%{version}.tar.gz

%description
Utilities for managing IBM's Journaled File System (JFS) under Linux.  The 
following utilities are available: fsck.jfs - initiate replay of the JFS 
transaction log, and check and repair a JFS formatted device. logdump - 
dump a JFS formatted device's journal log. logredo - "replay" a JFS 
formatted device's journal log.  mkfs.jfs - create a JFS formatted 
partition. xchkdmp - dump the contents of a JFS fsck log file created with 
xchklog.  xchklog - extract a log from the JFS fsck workspace into a 
file.  xpeek - shell-type JFS file system editor.

%prep
rm -rf jfsutils-%{version}
mkdir jfsutils-%{version}

%setup -n jfsutils-%{version} -c -a 0

%build
make -C jfsutils

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -s jfsutils/output/* $RPM_BUILD_ROOT/sbin
cp jfsutils/*/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc jfsutils/changelog.jfs
%doc jfsutils/README
/sbin/*
%{_mandir}/man8/*

%changelog
* Fri Sep 14 2001 Barry Arndt <barndt@us.ibm.com>
- Updates for removal of JFS utils from JFS file system build tree.

* Fri Sep 7 2001 Anthony Liu <anthony@nexus-online.com>
- RPM 3.x.x compatible: please do not add macros that breaks RPM 3.x.x
  for no apparent reason

* Sun Sep 02 2001 Andy Dustman <andy@dustman.net>
- Fixed spec file to reflect 2.2 and 2.4 kernel patch naming scheme.

* Sat Nov 18 2000 Jim Nance <jlnance@intrex.net>
- Built initial spec file

